## qt6-tools 6.8.0

=== debian/changelog ===
qt6-tools (6.8.0-0deepin3) unstable; urgency=medium

  * update debian/changelog

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 16:42:20 +0800

qt6-tools (6.8.0-0deepin2) unstable; urgency=medium

  [ Tianyu Chen ]
  * New upstream release (6.8.0).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.

  [ lichenggang ]
  * update debian/qt6-tools-doc-html.install 

 -- lichenggang <lichenggang@deepin.org>  Thu, 31 Oct 2024 21:26:09 +0800

qt6-tools (6.6.1-1deepin1) experimental; urgency=medium

  * fix: cmake find zstd before clang

 -- hudeng <hudeng@deepin.org>  Mon, 16 Sep 2024 00:25:13 +0800
