## qt6-tools 6.8.1

=== debian/changelog ===
qt6-tools (6.8.1-0ubuntu1) plucky; urgency=medium

  [ Pino Toscano ]
  * Add qdoc-qt6 as Build-Depends-Indep: it is needed to generate the API
    documentations.

  [ Simon Quigley ]
  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:55:03 -0600
