=== debian/control ===
--- 
+++ 
@@ -1,31 +1,35 @@
 Source: qt6-tools
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang,
+Build-Depends: clang-18 [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-dev,
+               libclang-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               libcups2-dev,
                libcurl4-openssl-dev | libcurl4-dev,
+               libedit-dev,
                libgl-dev,
-               liblitehtml-dev (>= 0.6~),
+#               liblitehtml-dev (>= 0.6~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                libzstd-dev (>= 1.3),
-	       libcups2-dev,
-               llvm-dev,
+               llvm [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               llvm-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
+                     qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -34,7 +38,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-abi (= 6.8.0),
+Provides: qt6-designer-private-abi (= 6.8.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -59,7 +63,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-abi (= 6.8.0),
+Provides: qt6-help-private-abi (= 6.8.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -72,7 +76,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-abi (= 6.8.0),
+Provides: qt6-uitools-private-abi (= 6.8.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library
@@ -104,6 +108,22 @@
  .
  Qt Designer is the Qt tool for designing and building graphical user
  interfaces (GUIs) with Qt Widgets.
+
+Package: designer-qt6-plugins
+Architecture: any
+Multi-Arch: same
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: designer-qt6 (<< 6.6.1-2~),
+Replaces: designer-qt6 (<< 6.6.1-2~),
+Description: Qt 6 Designer - plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ Qt Designer is the Qt tool for designing and building graphical user
+ interfaces (GUIs) with Qt Widgets.
+ .
+ This package contains various plugins to be used with the Qt Designer.
 
 Package: linguist-qt6
 Architecture: any
@@ -129,20 +149,33 @@
  .
  qdbus is a tool for listing D-Bus services and its properties.
 
+Package: qdoc-qt6
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: qt6-documentation-tools (<< 6.7.2-5~),
+Replaces: qt6-documentation-tools (<< 6.7.2-5~),
+Description: Qt 6 qdoc tool
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qdoc, a command-line tool for generating HTML
+ documentation from .cpp and .qdoc files.
+
 Package: qt6-documentation-tools
 Architecture: any
 Multi-Arch: foreign
 Section: utils
-Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
+Depends: libqt6sql6-sqlite,
+         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 documentation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains tools like qdoc, qtattributionsscanner and
- qhelpgenerator.
- .
- qdoc is a command-line tool for generating HTML documentation from .cpp
- and .qdoc files.
+ This package contains tools like qtattributionsscanner and qhelpgenerator.
  .
  qtattributionsscanner is a command-line tool that scans the source
  code for qt_attribution.json file and outputs JSON or qdoc files
