=== src/assistant/plugins/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::Help AND TARGET Qt::QmlLSPrivate)
    add_subdirectory(help)
endif()
