=== debian/changelog ===
qt6-tools (6.8.2-5) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Replace the unversioned llvm build dependency with llvm-19, following the
    other LLVM/clang versioned build dependencies.
  * Enable qdoc also on powerpc, ppc64, and x32.

 -- Pino Toscano <pino@debian.org>  Mon, 21 Apr 2025 10:01:50 +0200

qt6-tools (6.8.2-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols files from the logs of buildds.
  * Enable qdoc also on hurd-amd64, and hurd-i386. (Closes: #1093429)

 -- Pino Toscano <pino@debian.org>  Sat, 29 Mar 2025 06:45:26 +0100

qt6-tools (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:23:11 +0100

qt6-tools (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 01:12:02 +0100

qt6-tools (6.8.2-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Add qdoc-qt6 as Build-Depends-Indep: it is needed to generate the API
    documentations.

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update the llvm B-D to llvm-19.
  * Update ABI to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 18:01:28 +0100
