=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: qt6-tools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang-18 [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+Build-Depends: clang-19 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-               libcups2-dev,
+               libclang-19-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                libcurl4-openssl-dev | libcurl4-dev,
                libedit-dev,
                libgl-dev,
@@ -17,19 +15,19 @@
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                libzstd-dev (>= 1.3),
-               llvm [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-               llvm-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               llvm-19 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+               llvm-19-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
 Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
                      qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -38,7 +36,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-private-abi (= 6.8.1),
+Provides: qt6-designer-private-abi (= 6.8.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -63,7 +61,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-private-abi (= 6.8.1),
+Provides: qt6-help-private-abi (= 6.8.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -76,7 +74,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-private-abi (= 6.8.1),
+Provides: qt6-uitools-private-abi (= 6.8.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library
@@ -150,10 +148,10 @@
  qdbus is a tool for listing D-Bus services and its properties.
 
 Package: qdoc-qt6
-Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64
-Multi-Arch: foreign
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: qt6-documentation-tools (<< 6.7.2-5~),
 Replaces: qt6-documentation-tools (<< 6.7.2-5~),
 Description: Qt 6 qdoc tool
@@ -168,9 +166,8 @@
 Multi-Arch: foreign
 Section: utils
 Depends: libqt6sql6-sqlite,
-         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-         ${misc:Depends},
-         ${shlibs:Depends},
+         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+         ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 documentation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
